Ext.onReady(function()
{
	var pageUrl = intelli.config.admin_url + '/shopping-cart/categories/';

	if (Ext.get('js-grid-placeholder'))
	{
		intelli.cart_categs = new IntelliGrid({
			columns:[
				'selection',
				{name: 'title', title: _t('title'), width: 200},
				{name: 'description', title: _t('description'), width: 1},
				'update',
				'delete'
			],
			url: pageUrl,
			texts: {
				delete_multiple: _t('cart_are_you_sure_to_delete_selected_categs'),
				delete_single: _t('cart_are_you_sure_to_delete_selected_categ')
			}
		}, false);
		intelli.cart_categs.toolbar = new Ext.Toolbar({items:[
		{
			emptyText: _t('title'),
			listeners: intelli.gridHelper.listener.specialKey,
			name: 'title',
			width: 250,
			xtype: 'textfield'
		},{
			handler: function(){intelli.gridHelper.search(intelli.cart_categs)},
			id: 'fltBtn',
			text: '<i class="i-search"></i> ' + _t('search')
		},{
			handler: function(){intelli.gridHelper.search(intelli.cart_categs, true)},
			text: '<i class="i-close"></i> ' + _t('reset')
		}]});

		intelli.cart_categs.init();
	}
});