Ext.onReady(function()
{
	var pageUrl = intelli.config.admin_url + '/shopping-cart/items/';

	if (Ext.get('js-grid-placeholder'))
	{
		intelli.cart_items = new IntelliGrid({
			columns:[
				'selection',
				{name: 'title', title: _t('title'), width: 1},
				{name: 'description', title: _t('description'), width: 2},
				{name: 'cost', title: _t('cost'), width: 70},
				{name: 'days', title: _t('days'), width: 70},
				'status',
				'update',
				'delete'
			],
			url: pageUrl,
			texts: {
				delete_multiple: _t('are_you_sure_to_delete_selected_categs'),
				delete_single: _t('are_you_sure_to_delete_selected_categ')
			}
		}, false);
		intelli.cart_items.toolbar = new Ext.Toolbar({items:[
		{
			emptyText: _t('text'),
			listeners: intelli.gridHelper.listener.specialKey,
			name: 'text',
			width: 250,
			xtype: 'textfield'
		},{
			handler: function(){intelli.gridHelper.search(intelli.cart_items)},
			id: 'fltBtn',
			text: '<i class="i-search"></i> ' + _t('search')
		},{
			handler: function(){intelli.gridHelper.search(intelli.cart_items, true)},
			text: '<i class="i-close"></i> ' + _t('reset')
		}]});

		intelli.cart_items.init();
	}
});