<form method="post" id="plan-form">
	<div class="cart">
		{foreach $all_items as $cid => $categ}
			<div class="cart-categ">
				<h4 class="categ-title">
					{lang key='cart_categ_title_'|cat:$cid}
					<a class="btn btn-mini btn-info categ-popup" data-toggle="popover" data-content="{lang key='cart_categ_description_'|cat:$cid}">
						<i class="icon-question-sign"></i>
					</a>
				</h4>

				<div class="box items-cart">
					<div class="box-content cart-items">
						<label class="radio">
							<input type="radio" class="radio-item" name="cart_items[{$cid}]" id="cart-item-0" value="0" data-cost="0" data-categ="{$cid}" checked="checked">{lang key='none'}
						</label>
						<hr />
						{foreach $categ.items as $id => $item}
							<label class="radio">
								<input type="radio" class="radio-item" id="cart-item-{$id}" name="cart_items[{$cid}]" value="{$id}" data-cost="{$item.cost}" data-categ="{$cid}">
								{lang key='cart_item_title_'|cat:$id} — <span class="price">{$item.cost} {$config.currency}</span>
							</label>
							<p class="pre info">{lang key='cart_item_description_'|cat:$id}</p>
							{if !$item@first}<hr>{/if}
						{/foreach}
					</div>
				</div>
			</div>
		{/foreach}
	</div>
	<div class="sum form-actions">
		{lang key='total'}:
		<span class="cost"><span id="cart-total">0</span> {$config.currency}</span>
		<input type="hidden" name="total" id="total-cost">
		<input type="submit" class="btn btn-primary own-success btn-order" value="{lang key='checkout'}">
	</div>
</form>
{ia_print_js files='_IA_URL_plugins/shopping_cart/js/frontend/order'}
{ia_print_css files='_IA_URL_plugins/shopping_cart/templates/front/css/style'}